Description

New language khmer included in gvSIG 1.12 is not available in the preferences>general>language list so users are not able to switch
to this language.

On the other hand, after installing it manually it does appear in the list.

It seems the problem is that khemer should be added as a supported language in the plugins-persistence.xml file. The language
installator edits the file and adds the new language so gvSIG should do it too along the application installation, otherwise cambodyan
users won't be able to use it.

In order to know what is exactly the change to add in the plugin-persistence.xml file I suggest to compare two plugin-persistence.xml
files, one before installing the khmer manually and a second one after installing it.

History
#1 - 06/20/2012 02:00 PM - Francisco Puga

The installer can not modified the plugins-persistence file of the user.

It can be done at the launch time, but this is a "hack". It's write bad code just to fix an exceptional situation, so i don't feel comfortable doing it.

I think that the user must remove the file by hand, but i'm open to new ideas. Please feel free to invite new followers to this issue to discuss it.

#2 - 08/01/2012 12:37 PM - Francisco Puga
- Target version deleted (1.12.0-final)

#3 - 01/15/2014 12:20 PM - Álvaro Anguix
- Project changed from Application: gvSIG desktop to | gvSIG desktop 1
- Category deleted (Installer)
